<?= $this->extend('templates/baseAdmin') ?>

<?= $this->section('content') ?>

<form action="<?= isset($datos) ? route_to('admin_pregunta_editar', $preguntaId) : route_to('admin_pregunta_nueva', $id) ?>" method="POST">
    <?= csrf_field() ?>

    <div class="form-group">
        <label for="question">Pregunta</label>
        <input type="text" name="question" id="question" class="form-control" value="<?= isset($datos) ? $datos['question'] : '' ?>" required>
    </div>
    <div class="form-group">
        <label for="type">Tipo de respuesta</label>
        <select name="type" id="type" class="form-control" required>
            <option value="1" <?= (isset($datos) && $datos['type'] == 1) ? 'selected="selected"' : '' ?>>Texto</option>
            <option value="2" <?= (isset($datos) && $datos['type'] == 2) ? 'selected="selected"' : 'selected="selected"' ?>>Selección única</option>
            <option value="3" <?= (isset($datos) && $datos['type'] == 3) ? 'selected="selected"' : '' ?>>Selección múltiple</option>
        </select>
    </div>
    <div class="form-group" id="frm_option_div">
        <label for="frm_option">Opciones <small class="form-text">(Escribir cada opción en una línea distinta)</small></label>
        <textarea name="frm_option" id="frm_option" cols="30" rows="5" class="form-control"><?= (isset($datos) && $datos['frm_option']) ? $datos['frm_option'] : '' ?></textarea>
    </div>

    <a href="<?= isset($datos) ? route_to('admin_encuesta', $datos['survey_id']) : route_to('admin_encuestas') ?>" class="btn btn-danger">Cancelar</a>
    <input type="submit" class="btn btn-dark" value="Guardar">
</form>

<script src="plugins/jquery/jquery.min.js"></script>
<script>
    $("#type").change(function() {
        if ($(this).val() == '1') {
            $('#frm_option_div').hide();
            $('#frm_option').removeAttr('required');
            $('#frm_option').removeAttr('data-error');
        } else {
            $('#frm_option_div').show();
            $('#frm_option').attr('required', '');
            $('#frm_option').attr('data-error', 'This field is required.');
        }
    });
</script>

<?= $this->endSection() ?>